Skip to content

Add a transition to a lifecycle

POST
/api/v1/projects/{projectId}/lifecycles/{lifecycleId}/transitions
curl --request POST \
--url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lifecycles/example/transitions?sandboxId=example' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "fromStateId": "example", "toStateId": "example" }'

Stages the new transition into the change request named by sandboxId; nothing applies until the request is promoted.

projectId
required
string format: uuid
lifecycleId
required
string
sandboxId
required
string
Media typeapplication/json
object
name
required
string
description
string | null
fromStateId
required
string
toStateId
required
string

Example generated

{
"name": "example",
"description": "example",
"fromStateId": "example",
"toStateId": "example"
}

OK

Media type*/*
object
id
required
string
fromStateId
required
string
toStateId
required
string
name
required
string
requiresSignature
required
boolean
separationOfDuties
required
boolean
requiredEndorsements
required
Array<object>
object
principal
required
object
type
required
string
id
required
string
signatureRequired
required
boolean
distinctUsers
integer | null format: int32
buttonLabel
string | null
buttonColor
required
string
buttonIcon
string | null
sortOrder
required
integer format: int32
requiresComment
required
boolean
commentMinLength
required
integer format: int32
confirmationRequired
required
boolean
confirmationMessage
string | null